> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get subscription by ID

> Retrieves a subscription by its ID



## OpenAPI

````yaml /api-reference/oda-subscriptions-service-1.0.0.yml get /subscriptions/{id}
openapi: 3.0.1
info:
  title: oda-subscriptions-service
  version: 1.0.0
servers: []
security: []
paths:
  /subscriptions/{id}:
    get:
      summary: Get subscription by ID
      description: Retrieves a subscription by its ID
      operationId: getSubscription
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Subscription found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionData'
        '404':
          description: Subscription not found
          content:
            application/json: {}
components:
  schemas:
    SubscriptionData:
      required:
        - events
        - id
        - recipientId
        - subscriberId
      type: object
      properties:
        id:
          type: string
        recipientId:
          type: string
        subscriberId:
          type: string
        events:
          type: array
          items:
            type: string

````